
_initSevenSegLEDs:

;7SegLED.c,33 :: 		void initSevenSegLEDs(void) {
;7SegLED.c,34 :: 		}
L_end_initSevenSegLEDs:
	RETURN      0
; end of _initSevenSegLEDs

_update7SegLEDs:

;7SegLED.c,46 :: 		void update7SegLEDs(unsigned long ulngCtr, unsigned long ulngFreq) {
;7SegLED.c,51 :: 		LATA = 0;                           // Turn off all 7seg displays
	CLRF        LATA+0 
;7SegLED.c,52 :: 		LATD = aryuc7Seg[us7SegIdx];        // bring appropriate value to PORTD
	MOVLW       7SegLED_aryuc7Seg+0
	MOVWF       FSR0 
	MOVLW       hi_addr(7SegLED_aryuc7Seg+0)
	MOVWF       FSR0H 
	MOVF        update7SegLEDs_us7SegIdx_L0+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       LATD+0 
;7SegLED.c,53 :: 		LATA = usShifter;                   // turn on appropriate 7seg. display
	MOVF        update7SegLEDs_usShifter_L0+0, 0 
	MOVWF       LATA+0 
;7SegLED.c,55 :: 		if ( ++us7SegIdx >= NUM_OF_7SEG_LEDS ) {
	INCF        update7SegLEDs_us7SegIdx_L0+0, 1 
	MOVLW       4
	SUBWF       update7SegLEDs_us7SegIdx_L0+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_update7SegLEDs0
;7SegLED.c,56 :: 		us7SegIdx = 0;              // turn on 1st, turn off 2nd 7seg.
	CLRF        update7SegLEDs_us7SegIdx_L0+0 
;7SegLED.c,57 :: 		}
L_update7SegLEDs0:
;7SegLED.c,59 :: 		usShifter <<= 1;
	RLCF        update7SegLEDs_usShifter_L0+0, 1 
	BCF         update7SegLEDs_usShifter_L0+0, 0 
;7SegLED.c,60 :: 		if ( usShifter > 8 ) {
	MOVF        update7SegLEDs_usShifter_L0+0, 0 
	SUBLW       8
	BTFSC       STATUS+0, 0 
	GOTO        L_update7SegLEDs1
;7SegLED.c,61 :: 		usShifter = 1;
	MOVLW       1
	MOVWF       update7SegLEDs_usShifter_L0+0 
;7SegLED.c,62 :: 		}
L_update7SegLEDs1:
;7SegLED.c,67 :: 		intNum = (int)(ulngCtr / ulngFreq);
	MOVF        FARG_update7SegLEDs_ulngFreq+0, 0 
	MOVWF       R4 
	MOVF        FARG_update7SegLEDs_ulngFreq+1, 0 
	MOVWF       R5 
	MOVF        FARG_update7SegLEDs_ulngFreq+2, 0 
	MOVWF       R6 
	MOVF        FARG_update7SegLEDs_ulngFreq+3, 0 
	MOVWF       R7 
	MOVF        FARG_update7SegLEDs_ulngCtr+0, 0 
	MOVWF       R0 
	MOVF        FARG_update7SegLEDs_ulngCtr+1, 0 
	MOVWF       R1 
	MOVF        FARG_update7SegLEDs_ulngCtr+2, 0 
	MOVWF       R2 
	MOVF        FARG_update7SegLEDs_ulngCtr+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       update7SegLEDs_intNum_L1+0 
	MOVF        R1, 0 
	MOVWF       update7SegLEDs_intNum_L1+1 
;7SegLED.c,68 :: 		aryuc7Seg[3] = get7SegLEDmask((unsigned char)('0' + (intNum / 1000)));
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs2
	MOVLW       63
	MOVWF       FLOC__update7SegLEDs+15 
	GOTO        L_update7SegLEDs3
L_update7SegLEDs2:
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       49
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs4
	MOVLW       6
	MOVWF       FLOC__update7SegLEDs+14 
	GOTO        L_update7SegLEDs5
L_update7SegLEDs4:
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       50
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs6
	MOVLW       91
	MOVWF       FLOC__update7SegLEDs+13 
	GOTO        L_update7SegLEDs7
L_update7SegLEDs6:
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       51
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs8
	MOVLW       79
	MOVWF       FLOC__update7SegLEDs+12 
	GOTO        L_update7SegLEDs9
L_update7SegLEDs8:
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       52
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs10
	MOVLW       102
	MOVWF       FLOC__update7SegLEDs+11 
	GOTO        L_update7SegLEDs11
L_update7SegLEDs10:
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       53
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs12
	MOVLW       109
	MOVWF       FLOC__update7SegLEDs+10 
	GOTO        L_update7SegLEDs13
L_update7SegLEDs12:
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       54
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs14
	MOVLW       125
	MOVWF       FLOC__update7SegLEDs+9 
	GOTO        L_update7SegLEDs15
L_update7SegLEDs14:
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       55
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs16
	MOVLW       7
	MOVWF       FLOC__update7SegLEDs+8 
	GOTO        L_update7SegLEDs17
L_update7SegLEDs16:
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       56
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs18
	MOVLW       127
	MOVWF       FLOC__update7SegLEDs+7 
	GOTO        L_update7SegLEDs19
L_update7SegLEDs18:
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       57
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs20
	MOVLW       111
	MOVWF       FLOC__update7SegLEDs+6 
	GOTO        L_update7SegLEDs21
L_update7SegLEDs20:
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       65
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs22
	MOVLW       119
	MOVWF       FLOC__update7SegLEDs+5 
	GOTO        L_update7SegLEDs23
L_update7SegLEDs22:
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       66
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs24
	MOVLW       124
	MOVWF       FLOC__update7SegLEDs+4 
	GOTO        L_update7SegLEDs25
L_update7SegLEDs24:
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       67
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs26
	MOVLW       57
	MOVWF       FLOC__update7SegLEDs+3 
	GOTO        L_update7SegLEDs27
L_update7SegLEDs26:
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       68
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs28
	MOVLW       94
	MOVWF       FLOC__update7SegLEDs+2 
	GOTO        L_update7SegLEDs29
L_update7SegLEDs28:
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       69
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs30
	MOVLW       121
	MOVWF       FLOC__update7SegLEDs+1 
	GOTO        L_update7SegLEDs31
L_update7SegLEDs30:
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       70
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs32
	MOVLW       113
	MOVWF       FLOC__update7SegLEDs+0 
	GOTO        L_update7SegLEDs33
L_update7SegLEDs32:
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       FLOC__update7SegLEDs+0 
L_update7SegLEDs33:
	MOVF        FLOC__update7SegLEDs+0, 0 
	MOVWF       FLOC__update7SegLEDs+1 
L_update7SegLEDs31:
	MOVF        FLOC__update7SegLEDs+1, 0 
	MOVWF       FLOC__update7SegLEDs+2 
L_update7SegLEDs29:
	MOVF        FLOC__update7SegLEDs+2, 0 
	MOVWF       FLOC__update7SegLEDs+3 
L_update7SegLEDs27:
	MOVF        FLOC__update7SegLEDs+3, 0 
	MOVWF       FLOC__update7SegLEDs+4 
L_update7SegLEDs25:
	MOVF        FLOC__update7SegLEDs+4, 0 
	MOVWF       FLOC__update7SegLEDs+5 
L_update7SegLEDs23:
	MOVF        FLOC__update7SegLEDs+5, 0 
	MOVWF       FLOC__update7SegLEDs+6 
L_update7SegLEDs21:
	MOVF        FLOC__update7SegLEDs+6, 0 
	MOVWF       FLOC__update7SegLEDs+7 
L_update7SegLEDs19:
	MOVF        FLOC__update7SegLEDs+7, 0 
	MOVWF       FLOC__update7SegLEDs+8 
L_update7SegLEDs17:
	MOVF        FLOC__update7SegLEDs+8, 0 
	MOVWF       FLOC__update7SegLEDs+9 
L_update7SegLEDs15:
	MOVF        FLOC__update7SegLEDs+9, 0 
	MOVWF       FLOC__update7SegLEDs+10 
L_update7SegLEDs13:
	MOVF        FLOC__update7SegLEDs+10, 0 
	MOVWF       FLOC__update7SegLEDs+11 
L_update7SegLEDs11:
	MOVF        FLOC__update7SegLEDs+11, 0 
	MOVWF       FLOC__update7SegLEDs+12 
L_update7SegLEDs9:
	MOVF        FLOC__update7SegLEDs+12, 0 
	MOVWF       FLOC__update7SegLEDs+13 
L_update7SegLEDs7:
	MOVF        FLOC__update7SegLEDs+13, 0 
	MOVWF       FLOC__update7SegLEDs+14 
L_update7SegLEDs5:
	MOVF        FLOC__update7SegLEDs+14, 0 
	MOVWF       FLOC__update7SegLEDs+15 
L_update7SegLEDs3:
	MOVF        FLOC__update7SegLEDs+15, 0 
	MOVWF       7SegLED_aryuc7Seg+3 
;7SegLED.c,69 :: 		aryuc7Seg[2] = get7SegLEDmask((unsigned char)('0' + ((intNum / 100) % 10)));
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs34
	MOVLW       63
	MOVWF       FLOC__update7SegLEDs+15 
	GOTO        L_update7SegLEDs35
L_update7SegLEDs34:
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       49
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs36
	MOVLW       6
	MOVWF       FLOC__update7SegLEDs+14 
	GOTO        L_update7SegLEDs37
L_update7SegLEDs36:
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       50
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs38
	MOVLW       91
	MOVWF       FLOC__update7SegLEDs+13 
	GOTO        L_update7SegLEDs39
L_update7SegLEDs38:
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       51
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs40
	MOVLW       79
	MOVWF       FLOC__update7SegLEDs+12 
	GOTO        L_update7SegLEDs41
L_update7SegLEDs40:
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       52
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs42
	MOVLW       102
	MOVWF       FLOC__update7SegLEDs+11 
	GOTO        L_update7SegLEDs43
L_update7SegLEDs42:
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       53
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs44
	MOVLW       109
	MOVWF       FLOC__update7SegLEDs+10 
	GOTO        L_update7SegLEDs45
L_update7SegLEDs44:
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       54
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs46
	MOVLW       125
	MOVWF       FLOC__update7SegLEDs+9 
	GOTO        L_update7SegLEDs47
L_update7SegLEDs46:
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       55
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs48
	MOVLW       7
	MOVWF       FLOC__update7SegLEDs+8 
	GOTO        L_update7SegLEDs49
L_update7SegLEDs48:
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       56
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs50
	MOVLW       127
	MOVWF       FLOC__update7SegLEDs+7 
	GOTO        L_update7SegLEDs51
L_update7SegLEDs50:
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       57
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs52
	MOVLW       111
	MOVWF       FLOC__update7SegLEDs+6 
	GOTO        L_update7SegLEDs53
L_update7SegLEDs52:
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       65
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs54
	MOVLW       119
	MOVWF       FLOC__update7SegLEDs+5 
	GOTO        L_update7SegLEDs55
L_update7SegLEDs54:
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       66
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs56
	MOVLW       124
	MOVWF       FLOC__update7SegLEDs+4 
	GOTO        L_update7SegLEDs57
L_update7SegLEDs56:
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       67
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs58
	MOVLW       57
	MOVWF       FLOC__update7SegLEDs+3 
	GOTO        L_update7SegLEDs59
L_update7SegLEDs58:
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       68
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs60
	MOVLW       94
	MOVWF       FLOC__update7SegLEDs+2 
	GOTO        L_update7SegLEDs61
L_update7SegLEDs60:
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       69
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs62
	MOVLW       121
	MOVWF       FLOC__update7SegLEDs+1 
	GOTO        L_update7SegLEDs63
L_update7SegLEDs62:
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       70
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs64
	MOVLW       113
	MOVWF       FLOC__update7SegLEDs+0 
	GOTO        L_update7SegLEDs65
L_update7SegLEDs64:
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       FLOC__update7SegLEDs+0 
L_update7SegLEDs65:
	MOVF        FLOC__update7SegLEDs+0, 0 
	MOVWF       FLOC__update7SegLEDs+1 
L_update7SegLEDs63:
	MOVF        FLOC__update7SegLEDs+1, 0 
	MOVWF       FLOC__update7SegLEDs+2 
L_update7SegLEDs61:
	MOVF        FLOC__update7SegLEDs+2, 0 
	MOVWF       FLOC__update7SegLEDs+3 
L_update7SegLEDs59:
	MOVF        FLOC__update7SegLEDs+3, 0 
	MOVWF       FLOC__update7SegLEDs+4 
L_update7SegLEDs57:
	MOVF        FLOC__update7SegLEDs+4, 0 
	MOVWF       FLOC__update7SegLEDs+5 
L_update7SegLEDs55:
	MOVF        FLOC__update7SegLEDs+5, 0 
	MOVWF       FLOC__update7SegLEDs+6 
L_update7SegLEDs53:
	MOVF        FLOC__update7SegLEDs+6, 0 
	MOVWF       FLOC__update7SegLEDs+7 
L_update7SegLEDs51:
	MOVF        FLOC__update7SegLEDs+7, 0 
	MOVWF       FLOC__update7SegLEDs+8 
L_update7SegLEDs49:
	MOVF        FLOC__update7SegLEDs+8, 0 
	MOVWF       FLOC__update7SegLEDs+9 
L_update7SegLEDs47:
	MOVF        FLOC__update7SegLEDs+9, 0 
	MOVWF       FLOC__update7SegLEDs+10 
L_update7SegLEDs45:
	MOVF        FLOC__update7SegLEDs+10, 0 
	MOVWF       FLOC__update7SegLEDs+11 
L_update7SegLEDs43:
	MOVF        FLOC__update7SegLEDs+11, 0 
	MOVWF       FLOC__update7SegLEDs+12 
L_update7SegLEDs41:
	MOVF        FLOC__update7SegLEDs+12, 0 
	MOVWF       FLOC__update7SegLEDs+13 
L_update7SegLEDs39:
	MOVF        FLOC__update7SegLEDs+13, 0 
	MOVWF       FLOC__update7SegLEDs+14 
L_update7SegLEDs37:
	MOVF        FLOC__update7SegLEDs+14, 0 
	MOVWF       FLOC__update7SegLEDs+15 
L_update7SegLEDs35:
	MOVF        FLOC__update7SegLEDs+15, 0 
	MOVWF       7SegLED_aryuc7Seg+2 
;7SegLED.c,70 :: 		aryuc7Seg[1] = get7SegLEDmask((unsigned char)('0' + ((intNum / 10) % 10)));
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs66
	MOVLW       63
	MOVWF       FLOC__update7SegLEDs+15 
	GOTO        L_update7SegLEDs67
L_update7SegLEDs66:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       49
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs68
	MOVLW       6
	MOVWF       FLOC__update7SegLEDs+14 
	GOTO        L_update7SegLEDs69
L_update7SegLEDs68:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       50
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs70
	MOVLW       91
	MOVWF       FLOC__update7SegLEDs+13 
	GOTO        L_update7SegLEDs71
L_update7SegLEDs70:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       51
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs72
	MOVLW       79
	MOVWF       FLOC__update7SegLEDs+12 
	GOTO        L_update7SegLEDs73
L_update7SegLEDs72:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       52
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs74
	MOVLW       102
	MOVWF       FLOC__update7SegLEDs+11 
	GOTO        L_update7SegLEDs75
L_update7SegLEDs74:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       53
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs76
	MOVLW       109
	MOVWF       FLOC__update7SegLEDs+10 
	GOTO        L_update7SegLEDs77
L_update7SegLEDs76:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       54
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs78
	MOVLW       125
	MOVWF       FLOC__update7SegLEDs+9 
	GOTO        L_update7SegLEDs79
L_update7SegLEDs78:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       55
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs80
	MOVLW       7
	MOVWF       FLOC__update7SegLEDs+8 
	GOTO        L_update7SegLEDs81
L_update7SegLEDs80:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       56
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs82
	MOVLW       127
	MOVWF       FLOC__update7SegLEDs+7 
	GOTO        L_update7SegLEDs83
L_update7SegLEDs82:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       57
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs84
	MOVLW       111
	MOVWF       FLOC__update7SegLEDs+6 
	GOTO        L_update7SegLEDs85
L_update7SegLEDs84:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       65
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs86
	MOVLW       119
	MOVWF       FLOC__update7SegLEDs+5 
	GOTO        L_update7SegLEDs87
L_update7SegLEDs86:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       66
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs88
	MOVLW       124
	MOVWF       FLOC__update7SegLEDs+4 
	GOTO        L_update7SegLEDs89
L_update7SegLEDs88:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       67
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs90
	MOVLW       57
	MOVWF       FLOC__update7SegLEDs+3 
	GOTO        L_update7SegLEDs91
L_update7SegLEDs90:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       68
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs92
	MOVLW       94
	MOVWF       FLOC__update7SegLEDs+2 
	GOTO        L_update7SegLEDs93
L_update7SegLEDs92:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       69
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs94
	MOVLW       121
	MOVWF       FLOC__update7SegLEDs+1 
	GOTO        L_update7SegLEDs95
L_update7SegLEDs94:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       70
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs96
	MOVLW       113
	MOVWF       FLOC__update7SegLEDs+0 
	GOTO        L_update7SegLEDs97
L_update7SegLEDs96:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       FLOC__update7SegLEDs+0 
L_update7SegLEDs97:
	MOVF        FLOC__update7SegLEDs+0, 0 
	MOVWF       FLOC__update7SegLEDs+1 
L_update7SegLEDs95:
	MOVF        FLOC__update7SegLEDs+1, 0 
	MOVWF       FLOC__update7SegLEDs+2 
L_update7SegLEDs93:
	MOVF        FLOC__update7SegLEDs+2, 0 
	MOVWF       FLOC__update7SegLEDs+3 
L_update7SegLEDs91:
	MOVF        FLOC__update7SegLEDs+3, 0 
	MOVWF       FLOC__update7SegLEDs+4 
L_update7SegLEDs89:
	MOVF        FLOC__update7SegLEDs+4, 0 
	MOVWF       FLOC__update7SegLEDs+5 
L_update7SegLEDs87:
	MOVF        FLOC__update7SegLEDs+5, 0 
	MOVWF       FLOC__update7SegLEDs+6 
L_update7SegLEDs85:
	MOVF        FLOC__update7SegLEDs+6, 0 
	MOVWF       FLOC__update7SegLEDs+7 
L_update7SegLEDs83:
	MOVF        FLOC__update7SegLEDs+7, 0 
	MOVWF       FLOC__update7SegLEDs+8 
L_update7SegLEDs81:
	MOVF        FLOC__update7SegLEDs+8, 0 
	MOVWF       FLOC__update7SegLEDs+9 
L_update7SegLEDs79:
	MOVF        FLOC__update7SegLEDs+9, 0 
	MOVWF       FLOC__update7SegLEDs+10 
L_update7SegLEDs77:
	MOVF        FLOC__update7SegLEDs+10, 0 
	MOVWF       FLOC__update7SegLEDs+11 
L_update7SegLEDs75:
	MOVF        FLOC__update7SegLEDs+11, 0 
	MOVWF       FLOC__update7SegLEDs+12 
L_update7SegLEDs73:
	MOVF        FLOC__update7SegLEDs+12, 0 
	MOVWF       FLOC__update7SegLEDs+13 
L_update7SegLEDs71:
	MOVF        FLOC__update7SegLEDs+13, 0 
	MOVWF       FLOC__update7SegLEDs+14 
L_update7SegLEDs69:
	MOVF        FLOC__update7SegLEDs+14, 0 
	MOVWF       FLOC__update7SegLEDs+15 
L_update7SegLEDs67:
	MOVF        FLOC__update7SegLEDs+15, 0 
	MOVWF       7SegLED_aryuc7Seg+1 
;7SegLED.c,71 :: 		aryuc7Seg[0] = get7SegLEDmask((unsigned char)('0' + (intNum % 10)));
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs98
	MOVLW       63
	MOVWF       FLOC__update7SegLEDs+15 
	GOTO        L_update7SegLEDs99
L_update7SegLEDs98:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       49
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs100
	MOVLW       6
	MOVWF       FLOC__update7SegLEDs+14 
	GOTO        L_update7SegLEDs101
L_update7SegLEDs100:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       50
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs102
	MOVLW       91
	MOVWF       FLOC__update7SegLEDs+13 
	GOTO        L_update7SegLEDs103
L_update7SegLEDs102:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       51
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs104
	MOVLW       79
	MOVWF       FLOC__update7SegLEDs+12 
	GOTO        L_update7SegLEDs105
L_update7SegLEDs104:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       52
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs106
	MOVLW       102
	MOVWF       FLOC__update7SegLEDs+11 
	GOTO        L_update7SegLEDs107
L_update7SegLEDs106:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       53
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs108
	MOVLW       109
	MOVWF       FLOC__update7SegLEDs+10 
	GOTO        L_update7SegLEDs109
L_update7SegLEDs108:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       54
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs110
	MOVLW       125
	MOVWF       FLOC__update7SegLEDs+9 
	GOTO        L_update7SegLEDs111
L_update7SegLEDs110:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       55
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs112
	MOVLW       7
	MOVWF       FLOC__update7SegLEDs+8 
	GOTO        L_update7SegLEDs113
L_update7SegLEDs112:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       56
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs114
	MOVLW       127
	MOVWF       FLOC__update7SegLEDs+7 
	GOTO        L_update7SegLEDs115
L_update7SegLEDs114:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       57
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs116
	MOVLW       111
	MOVWF       FLOC__update7SegLEDs+6 
	GOTO        L_update7SegLEDs117
L_update7SegLEDs116:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       65
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs118
	MOVLW       119
	MOVWF       FLOC__update7SegLEDs+5 
	GOTO        L_update7SegLEDs119
L_update7SegLEDs118:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       66
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs120
	MOVLW       124
	MOVWF       FLOC__update7SegLEDs+4 
	GOTO        L_update7SegLEDs121
L_update7SegLEDs120:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       67
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs122
	MOVLW       57
	MOVWF       FLOC__update7SegLEDs+3 
	GOTO        L_update7SegLEDs123
L_update7SegLEDs122:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       68
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs124
	MOVLW       94
	MOVWF       FLOC__update7SegLEDs+2 
	GOTO        L_update7SegLEDs125
L_update7SegLEDs124:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       69
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs126
	MOVLW       121
	MOVWF       FLOC__update7SegLEDs+1 
	GOTO        L_update7SegLEDs127
L_update7SegLEDs126:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       70
	BTFSS       STATUS+0, 2 
	GOTO        L_update7SegLEDs128
	MOVLW       113
	MOVWF       FLOC__update7SegLEDs+0 
	GOTO        L_update7SegLEDs129
L_update7SegLEDs128:
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        update7SegLEDs_intNum_L1+0, 0 
	MOVWF       R0 
	MOVF        update7SegLEDs_intNum_L1+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       FLOC__update7SegLEDs+0 
L_update7SegLEDs129:
	MOVF        FLOC__update7SegLEDs+0, 0 
	MOVWF       FLOC__update7SegLEDs+1 
L_update7SegLEDs127:
	MOVF        FLOC__update7SegLEDs+1, 0 
	MOVWF       FLOC__update7SegLEDs+2 
L_update7SegLEDs125:
	MOVF        FLOC__update7SegLEDs+2, 0 
	MOVWF       FLOC__update7SegLEDs+3 
L_update7SegLEDs123:
	MOVF        FLOC__update7SegLEDs+3, 0 
	MOVWF       FLOC__update7SegLEDs+4 
L_update7SegLEDs121:
	MOVF        FLOC__update7SegLEDs+4, 0 
	MOVWF       FLOC__update7SegLEDs+5 
L_update7SegLEDs119:
	MOVF        FLOC__update7SegLEDs+5, 0 
	MOVWF       FLOC__update7SegLEDs+6 
L_update7SegLEDs117:
	MOVF        FLOC__update7SegLEDs+6, 0 
	MOVWF       FLOC__update7SegLEDs+7 
L_update7SegLEDs115:
	MOVF        FLOC__update7SegLEDs+7, 0 
	MOVWF       FLOC__update7SegLEDs+8 
L_update7SegLEDs113:
	MOVF        FLOC__update7SegLEDs+8, 0 
	MOVWF       FLOC__update7SegLEDs+9 
L_update7SegLEDs111:
	MOVF        FLOC__update7SegLEDs+9, 0 
	MOVWF       FLOC__update7SegLEDs+10 
L_update7SegLEDs109:
	MOVF        FLOC__update7SegLEDs+10, 0 
	MOVWF       FLOC__update7SegLEDs+11 
L_update7SegLEDs107:
	MOVF        FLOC__update7SegLEDs+11, 0 
	MOVWF       FLOC__update7SegLEDs+12 
L_update7SegLEDs105:
	MOVF        FLOC__update7SegLEDs+12, 0 
	MOVWF       FLOC__update7SegLEDs+13 
L_update7SegLEDs103:
	MOVF        FLOC__update7SegLEDs+13, 0 
	MOVWF       FLOC__update7SegLEDs+14 
L_update7SegLEDs101:
	MOVF        FLOC__update7SegLEDs+14, 0 
	MOVWF       FLOC__update7SegLEDs+15 
L_update7SegLEDs99:
	MOVF        FLOC__update7SegLEDs+15, 0 
	MOVWF       7SegLED_aryuc7Seg+0 
;7SegLED.c,73 :: 		}
L_end_update7SegLEDs:
	RETURN      0
; end of _update7SegLEDs
