#line 1 "F:/MikroC/KnigntRider/7SegLED.c"
#line 1 "f:/mikroc/knigntrider/7segled.h"
#line 1 "f:/mikroc/knigntrider/fader.h"
#line 17 "f:/mikroc/knigntrider/fader.h"
 typedef unsigned long ulong;


 typedef unsigned int uint;


 typedef unsigned short ushort;


 typedef unsigned char byte;


 typedef enum ebool { FALSE, TRUE } boolean;





 typedef struct {

 uint aryuintStates[2];
 uint uintRepeat;
 } scheduleDef;

 typedef struct faderNode {
 unsigned uBounce : 1;
 unsigned uDirection : 1;
 unsigned uLoop : 1;
 unsigned uPin : 3;
 unsigned uState : 1;
 unsigned uStop : 1;
 volatile ushort* pPort;
 uint uintSteps;
 int intStep;
 int intLastStep;
 uint uintCtr;
 uint uintRepeat;

 void (*pCB)();

 scheduleDef* pSchItem;

 struct faderNode* pNext;
 } faderDef;


 boolean createFader(faderDef* pFader, byte* pPort, byte uPin,
 uint uintSteps, boolean blnDir, boolean blnBounce,
 boolean blnLoop, boolean blnState, boolean blnStopped,
 void (*pCB)());
 int createSchedule(uint uintInc, uint uintRepeat);
 void serviceFaders();
#line 56 "f:/mikroc/knigntrider/7segled.h"
 void update7SegLEDs(unsigned long ulngCtr, unsigned long ulngFreq);
#line 21 "F:/MikroC/KnigntRider/7SegLED.c"
static volatile unsigned char aryuc7Seg[ 4 ];
#line 33 "F:/MikroC/KnigntRider/7SegLED.c"
void initSevenSegLEDs(void) {
}
#line 46 "F:/MikroC/KnigntRider/7SegLED.c"
void update7SegLEDs(unsigned long ulngCtr, unsigned long ulngFreq) {
 static unsigned short us7SegIdx = 0;
 static unsigned short usShifter = 1;
 static int intLast = -1;

 LATA = 0;
 LATD = aryuc7Seg[us7SegIdx];
 LATA = usShifter;

 if ( ++us7SegIdx >=  4  ) {
 us7SegIdx = 0;
 }

 usShifter <<= 1;
 if ( usShifter > 8 ) {
 usShifter = 1;
 }


 {
 int intNum;
 intNum = (int)(ulngCtr / ulngFreq);
 aryuc7Seg[3] =  ((((unsigned char)('0' + (intNum / 1000))) == '0') ? 0x3F : (((unsigned char)('0' + (intNum / 1000))) == '1') ? 0x06 : (((unsigned char)('0' + (intNum / 1000))) == '2') ? 0x5B : (((unsigned char)('0' + (intNum / 1000))) == '3') ? 0x4F : (((unsigned char)('0' + (intNum / 1000))) == '4') ? 0x66 : (((unsigned char)('0' + (intNum / 1000))) == '5') ? 0x6D : (((unsigned char)('0' + (intNum / 1000))) == '6') ? 0x7D : (((unsigned char)('0' + (intNum / 1000))) == '7') ? 0x07 : (((unsigned char)('0' + (intNum / 1000))) == '8') ? 0x7F : (((unsigned char)('0' + (intNum / 1000))) == '9') ? 0x6F : (((unsigned char)('0' + (intNum / 1000))) == 'A') ? 0x77 : (((unsigned char)('0' + (intNum / 1000))) == 'B') ? 0x7C : (((unsigned char)('0' + (intNum / 1000))) == 'C') ? 0x39 : (((unsigned char)('0' + (intNum / 1000))) == 'D') ? 0x5E : (((unsigned char)('0' + (intNum / 1000))) == 'E') ? 0x79 : (((unsigned char)('0' + (intNum / 1000))) == 'F') ? 0x71 : ((unsigned char)('0' + (intNum / 1000)))); ;
 aryuc7Seg[2] =  ((((unsigned char)('0' + ((intNum / 100) % 10))) == '0') ? 0x3F : (((unsigned char)('0' + ((intNum / 100) % 10))) == '1') ? 0x06 : (((unsigned char)('0' + ((intNum / 100) % 10))) == '2') ? 0x5B : (((unsigned char)('0' + ((intNum / 100) % 10))) == '3') ? 0x4F : (((unsigned char)('0' + ((intNum / 100) % 10))) == '4') ? 0x66 : (((unsigned char)('0' + ((intNum / 100) % 10))) == '5') ? 0x6D : (((unsigned char)('0' + ((intNum / 100) % 10))) == '6') ? 0x7D : (((unsigned char)('0' + ((intNum / 100) % 10))) == '7') ? 0x07 : (((unsigned char)('0' + ((intNum / 100) % 10))) == '8') ? 0x7F : (((unsigned char)('0' + ((intNum / 100) % 10))) == '9') ? 0x6F : (((unsigned char)('0' + ((intNum / 100) % 10))) == 'A') ? 0x77 : (((unsigned char)('0' + ((intNum / 100) % 10))) == 'B') ? 0x7C : (((unsigned char)('0' + ((intNum / 100) % 10))) == 'C') ? 0x39 : (((unsigned char)('0' + ((intNum / 100) % 10))) == 'D') ? 0x5E : (((unsigned char)('0' + ((intNum / 100) % 10))) == 'E') ? 0x79 : (((unsigned char)('0' + ((intNum / 100) % 10))) == 'F') ? 0x71 : ((unsigned char)('0' + ((intNum / 100) % 10)))); ;
 aryuc7Seg[1] =  ((((unsigned char)('0' + ((intNum / 10) % 10))) == '0') ? 0x3F : (((unsigned char)('0' + ((intNum / 10) % 10))) == '1') ? 0x06 : (((unsigned char)('0' + ((intNum / 10) % 10))) == '2') ? 0x5B : (((unsigned char)('0' + ((intNum / 10) % 10))) == '3') ? 0x4F : (((unsigned char)('0' + ((intNum / 10) % 10))) == '4') ? 0x66 : (((unsigned char)('0' + ((intNum / 10) % 10))) == '5') ? 0x6D : (((unsigned char)('0' + ((intNum / 10) % 10))) == '6') ? 0x7D : (((unsigned char)('0' + ((intNum / 10) % 10))) == '7') ? 0x07 : (((unsigned char)('0' + ((intNum / 10) % 10))) == '8') ? 0x7F : (((unsigned char)('0' + ((intNum / 10) % 10))) == '9') ? 0x6F : (((unsigned char)('0' + ((intNum / 10) % 10))) == 'A') ? 0x77 : (((unsigned char)('0' + ((intNum / 10) % 10))) == 'B') ? 0x7C : (((unsigned char)('0' + ((intNum / 10) % 10))) == 'C') ? 0x39 : (((unsigned char)('0' + ((intNum / 10) % 10))) == 'D') ? 0x5E : (((unsigned char)('0' + ((intNum / 10) % 10))) == 'E') ? 0x79 : (((unsigned char)('0' + ((intNum / 10) % 10))) == 'F') ? 0x71 : ((unsigned char)('0' + ((intNum / 10) % 10)))); ;
 aryuc7Seg[0] =  ((((unsigned char)('0' + (intNum % 10))) == '0') ? 0x3F : (((unsigned char)('0' + (intNum % 10))) == '1') ? 0x06 : (((unsigned char)('0' + (intNum % 10))) == '2') ? 0x5B : (((unsigned char)('0' + (intNum % 10))) == '3') ? 0x4F : (((unsigned char)('0' + (intNum % 10))) == '4') ? 0x66 : (((unsigned char)('0' + (intNum % 10))) == '5') ? 0x6D : (((unsigned char)('0' + (intNum % 10))) == '6') ? 0x7D : (((unsigned char)('0' + (intNum % 10))) == '7') ? 0x07 : (((unsigned char)('0' + (intNum % 10))) == '8') ? 0x7F : (((unsigned char)('0' + (intNum % 10))) == '9') ? 0x6F : (((unsigned char)('0' + (intNum % 10))) == 'A') ? 0x77 : (((unsigned char)('0' + (intNum % 10))) == 'B') ? 0x7C : (((unsigned char)('0' + (intNum % 10))) == 'C') ? 0x39 : (((unsigned char)('0' + (intNum % 10))) == 'D') ? 0x5E : (((unsigned char)('0' + (intNum % 10))) == 'E') ? 0x79 : (((unsigned char)('0' + (intNum % 10))) == 'F') ? 0x71 : ((unsigned char)('0' + (intNum % 10)))); ;
 }
}
