
_initLCD:

;lcd.c,36 :: 		void initLCD() {
;lcd.c,37 :: 		Lcd_Init();
	CALL        _Lcd_Init+0, 0
;lcd.c,38 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;lcd.c,39 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;lcd.c,40 :: 		}
L_end_initLCD:
	RETURN      0
; end of _initLCD

_lcdText:

;lcd.c,53 :: 		void lcdText(int intRow, int intCol, char* pText) {
;lcd.c,54 :: 		if ( !((intRow >= 1 && intRow <= LCD_CHAR_HEIGHT) &&
	MOVLW       128
	XORWF       FARG_lcdText_intRow+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__lcdText21
	MOVLW       1
	SUBWF       FARG_lcdText_intRow+0, 0 
L__lcdText21:
	BTFSS       STATUS+0, 0 
	GOTO        L__lcdText17
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       FARG_lcdText_intRow+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__lcdText22
	MOVF        FARG_lcdText_intRow+0, 0 
	SUBLW       2
L__lcdText22:
	BTFSS       STATUS+0, 0 
	GOTO        L__lcdText17
;lcd.c,55 :: 		intCol == -1 || (intCol >= 1 && intCol <= LCD_CHAR_WIDTH) &&
L__lcdText18:
	MOVLW       255
	XORWF       FARG_lcdText_intCol+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__lcdText23
	MOVLW       255
	XORWF       FARG_lcdText_intCol+0, 0 
L__lcdText23:
	BTFSS       STATUS+0, 2 
	GOTO        L__lcdText17
	GOTO        L_lcdText9
;lcd.c,56 :: 		pText) ) {
L__lcdText17:
;lcd.c,55 :: 		intCol == -1 || (intCol >= 1 && intCol <= LCD_CHAR_WIDTH) &&
	MOVLW       128
	XORWF       FARG_lcdText_intCol+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__lcdText24
	MOVLW       1
	SUBWF       FARG_lcdText_intCol+0, 0 
L__lcdText24:
	BTFSS       STATUS+0, 0 
	GOTO        L__lcdText15
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       FARG_lcdText_intCol+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__lcdText25
	MOVF        FARG_lcdText_intCol+0, 0 
	SUBLW       16
L__lcdText25:
	BTFSS       STATUS+0, 0 
	GOTO        L__lcdText15
;lcd.c,56 :: 		pText) ) {
L__lcdText16:
	MOVF        FARG_lcdText_pText+0, 0 
	IORWF       FARG_lcdText_pText+1, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L__lcdText15
	GOTO        L_lcdText9
L__lcdText15:
	CLRF        R0 
	GOTO        L_lcdText8
L_lcdText9:
	MOVLW       1
	MOVWF       R0 
L_lcdText8:
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_lcdText10
;lcd.c,58 :: 		return;
	GOTO        L_end_lcdText
;lcd.c,59 :: 		}
L_lcdText10:
;lcd.c,60 :: 		if ( intCol == -1 ) {
	MOVLW       255
	XORWF       FARG_lcdText_intCol+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__lcdText26
	MOVLW       255
	XORWF       FARG_lcdText_intCol+0, 0 
L__lcdText26:
	BTFSS       STATUS+0, 2 
	GOTO        L_lcdText11
;lcd.c,63 :: 		for( intLength=0; pText[intLength]!='\0'; intLength++ ) {
	CLRF        lcdText_intLength_L1+0 
	CLRF        lcdText_intLength_L1+1 
L_lcdText12:
	MOVF        lcdText_intLength_L1+0, 0 
	ADDWF       FARG_lcdText_pText+0, 0 
	MOVWF       FSR0 
	MOVF        lcdText_intLength_L1+1, 0 
	ADDWFC      FARG_lcdText_pText+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_lcdText13
	INFSNZ      lcdText_intLength_L1+0, 1 
	INCF        lcdText_intLength_L1+1, 1 
;lcd.c,64 :: 		}
	GOTO        L_lcdText12
L_lcdText13:
;lcd.c,66 :: 		intCol = ((LCD_CHAR_WIDTH - intLength) / 2) + 1;
	MOVF        lcdText_intLength_L1+0, 0 
	SUBLW       16
	MOVWF       R0 
	MOVF        lcdText_intLength_L1+1, 0 
	MOVWF       R1 
	MOVLW       0
	SUBFWB      R1, 1 
	MOVLW       2
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVLW       1
	ADDWF       R0, 0 
	MOVWF       FARG_lcdText_intCol+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FARG_lcdText_intCol+1 
;lcd.c,67 :: 		}
L_lcdText11:
;lcd.c,68 :: 		Lcd_Out(intRow, intCol, pText);
	MOVF        FARG_lcdText_intRow+0, 0 
	MOVWF       FARG_Lcd_Out_row+0 
	MOVF        FARG_lcdText_intCol+0, 0 
	MOVWF       FARG_Lcd_Out_column+0 
	MOVF        FARG_lcdText_pText+0, 0 
	MOVWF       FARG_Lcd_Out_text+0 
	MOVF        FARG_lcdText_pText+1, 0 
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;lcd.c,69 :: 		}
L_end_lcdText:
	RETURN      0
; end of _lcdText
